# ValidateLicense

### Description

Validates a license key.

```csharp
string ValidateLicense (string LicenseKey)
```

### Arguments

| Name       | Data Type | Description             |
| ---------- | :-------: | ----------------------- |
| licenseKey |   string  | license key to validate |

### Return

| Data Type | Description                                                                                                                            |
| :-------: | -------------------------------------------------------------------------------------------------------------------------------------- |
|   string  | A message indicating the result of the validation. Do not parse this message. Use GetStatus to get the exact status of the validation. |

### Remarks

Prior to calling this function, you must:

* Call [DefineProduct](/docs/api-reference/.net-api/qlmlicense/client-side-methods/defineproduct.md)
* Set the PublicKey property

After calling this function, call [GetStatus ](/docs/api-reference/.net-api/qlmlicense/client-side-methods/getstatus.md)to get the status of the call.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/validatelicense.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
